<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="touchscreen-gestures" xml:lang="he">

  <info>
    <link type="guide" xref="mouse" group="#last"/>

    <revision pkgversion="3.33" date="2019-07-20" status="candidate"/>

    <!--
    For 41: https://gitlab.gnome.org/GNOME/gnome-user-docs/-/issues/121
    -->
    <revision version="gnome:40" date="2021-03-18" status="candidate"/>

    <credit type="author">
      <name>Michael Hill</name>
      <email>mdhillca@gmail.com</email>
    </credit>
    <credit type="author">
      <name>Shaun McCance</name>
      <email>shaunm@gnome.org</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Manipulate your desktop using gestures on your touchpad or touchscreen.</desc>
  </info>

  <title>Use gestures on touchpads and touchscreens</title>

  <p>Multitouch gestures can be used on touchpads and touchscreens for system navigation,
  as well as in applications.</p>

  <p>A number of applications make use of gestures. In
  <app>Document Viewer</app>, documents can be zoomed and swiped with gestures,
  and <app>Image Viewer</app> allows you to zoom, rotate and pan.</p>

<section id="system">
  <title>System-wide gestures</title>

<table rules="rows" frame="bottom">
  <tr>
    <td><p><media type="image" src="figures/touch-overview.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Open the Activities Overview and Applications View</em></p>
    <p>Place three fingers on the touchpad or touchscreen and gesture upwards to open the Activities Overview.</p>
    <p>To open the Applications View, place three fingers and gesture upwards again.</p></td>
  </tr>
  <tr>
    <td><p><media type="image" src="figures/touch-workspaces.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Switch Workspace</em></p>
    <p>Place three fingers on the touchpad or touchscreen and gesture left or right.</p></td>
  </tr>
  <tr>
    <td><p><media type="image" src="figures/touch-unfullscreen.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Exit from fullscreen</em></p>
    <p>On a touchscreen, drag down from the top edge to exit from the fullscreen mode of any window.</p></td>
  </tr>
  <tr>
    <td><p><media type="image" src="figures/touch-osk.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Bring up the on-screen keyboard</em></p>
    <p>On a touchscreen, drag up from the bottom edge to bring up the
    <link xref="keyboard-osk">on-screen keyboard</link>, if the on-screen keyboard is enabled.</p></td>
  </tr>
</table>

</section>

<section id="apps">
  <title>Application gestures</title>

<table rules="rows" frame="bottom">
  <tr>
    <td><p><media type="image" src="figures/touch-tap.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Open an item, launch an application, play a song</em></p>
    <p>Tap on an item.</p></td>
  </tr>
  <tr>
    <td><p><media type="image" src="figures/touch-hold.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Select an item and list actions that can be performed</em></p>
    <p>Press and hold for a second or two.</p></td>
  </tr>
  <tr>
    <td><p><media type="image" src="figures/touch-scroll.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Scroll the area on the screen</em></p>
    <p>Drag: slide a finger touching the surface.</p></td>
  </tr>
  <tr>
    <td><p><media type="image" src="figures/touch-pinch-to-zoom.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Change the zoom level of a view (<app>Maps</app>,
    <app>Photos</app>)</em></p>
    <p>Two-finger pinch or stretch: Touch the surface with two fingers while bringing them
    closer or further apart.</p></td>
  </tr>
  <tr>
    <td><p><media type="image" src="figures/touch-rotate.svg" width="128" its:translate="no"/></p></td>
    <td><p><em>Rotate a photo</em></p>
    <p>Two-finger rotate: Touch the surface with two fingers and rotate.</p></td>
  </tr>
</table>

</section>

</page>
